Bug 980450 - Pick up changes from Wireshark's .spec file
Pick up changes from Wireshark's .spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
18
All All
unspecified Severity low
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 08:04 EDT by Jeff Morriss
Modified: 2013-12-19 02:09 EST (History)
4 users (show)

See Also:
Fixed In Version: wireshark-1.10.2-4.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 20:27:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Morriss 2013-07-02 08:04:04 EDT
Description of problem:
No problem, just a suggestion for enhancement (originally suggested in https://bugzilla.redhat.com/show_bug.cgi?id=913451#c3 but that bug got closed):

Wireshark's .spec file and freedesktop integration has been updated significantly.  Of potential interest to Redhat:

1) The wireshark-mime-package.xml file was enhanced to include more trace file formats and now does magic matching (for files without an extension).

2) "make install_desktop_files" will install this and other freedesktop-related files (currently Redhat's .spec manually installs and then picks these up)

Version-Release number of selected component (if applicable):
Wireshark 1.10.0 and later have these enhancements

How reproducible:
100%

Steps to Reproduce:
1. vi wireshark.spec
2. Look at all the manual work being done
3.

Actual results:
Files are manually installed by the packaging stuff

Expected results:
No manual file installation

Additional info:
Comment 1 Peter Lemenkov 2013-09-12 03:52:15 EDT
(In reply to Jeff Morriss from comment #0)
> Description of problem:
> No problem, just a suggestion for enhancement (originally suggested in
> https://bugzilla.redhat.com/show_bug.cgi?id=913451#c3 but that bug got
> closed):
> 
> Wireshark's .spec file and freedesktop integration has been updated
> significantly.  Of potential interest to Redhat:
> 
> 1) The wireshark-mime-package.xml file was enhanced to include more trace
> file formats and now does magic matching (for files without an extension).
> 
> 2) "make install_desktop_files" will install this and other
> freedesktop-related files (currently Redhat's .spec manually installs and
> then picks these up)

Jeff, that's great, but where can we get/see these changes?
Comment 2 Jeff Morriss 2013-09-12 08:53:00 EDT
(In reply to Peter Lemenkov from comment #1)
> (In reply to Jeff Morriss from comment #0)
> > Description of problem:
> > No problem, just a suggestion for enhancement (originally suggested in
> > https://bugzilla.redhat.com/show_bug.cgi?id=913451#c3 but that bug got
> > closed):
> > 
> > Wireshark's .spec file and freedesktop integration has been updated
> > significantly.  Of potential interest to Redhat:
> > 
> > 1) The wireshark-mime-package.xml file was enhanced to include more trace
> > file formats and now does magic matching (for files without an extension).
> > 
> > 2) "make install_desktop_files" will install this and other
> > freedesktop-related files (currently Redhat's .spec manually installs and
> > then picks these up)
> 
> Jeff, that's great, but where can we get/see these changes?

In the Wireshark source code :-).  Here are some links to the files in Wireshark's SVN repository:

https://anonsvn.wireshark.org/viewvc/trunk/packaging/rpm/SPECS/wireshark.spec.in?view=log
https://anonsvn.wireshark.org/viewvc/trunk/Makefile.am?view=log
https://anonsvn.wireshark.org/viewvc/trunk/wireshark-mime-package.xml?view=log
Comment 3 Peter Lemenkov 2013-09-12 09:05:54 EDT
(In reply to Jeff Morriss from comment #2)
> (In reply to Peter Lemenkov from comment #1)

> > Jeff, that's great, but where can we get/see these changes?
> 
> In the Wireshark source code :-).  Here are some links to the files in
> Wireshark's SVN repository:
> 
> https://anonsvn.wireshark.org/viewvc/trunk/packaging/rpm/SPECS/wireshark.
> spec.in?view=log
> https://anonsvn.wireshark.org/viewvc/trunk/Makefile.am?view=log
> https://anonsvn.wireshark.org/viewvc/trunk/wireshark-mime-package.
> xml?view=log

Ok, good! I'll review them shortly (need a a couple of days more, so be patient). Sorry for misunderstanding - I'm not a native English speaker so I'm a bit slow :)
Comment 4 Fedora Update System 2013-09-12 12:47:13 EDT
wireshark-1.10.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-4.fc19
Comment 5 Fedora Update System 2013-09-12 12:48:22 EDT
wireshark-1.10.2-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-4.fc20
Comment 6 Fedora Update System 2013-09-12 20:57:21 EDT
Package wireshark-1.10.2-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wireshark-1.10.2-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16577/wireshark-1.10.2-4.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-09-13 10:02:17 EDT
wireshark-1.10.2-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-5.fc20
Comment 8 Fedora Update System 2013-09-13 10:03:38 EDT
wireshark-1.10.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-5.fc19
Comment 9 Fedora Update System 2013-09-16 20:27:02 EDT
wireshark-1.10.2-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-09-24 15:33:39 EDT
wireshark-1.10.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-6.fc19
Comment 11 Fedora Update System 2013-09-24 15:35:57 EDT
wireshark-1.10.2-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-4.fc18
Comment 12 Fedora Update System 2013-09-24 15:38:15 EDT
wireshark-1.10.2-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-7.fc20
Comment 13 Fedora Update System 2013-09-27 20:09:40 EDT
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-10-02 21:02:20 EDT
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-12-19 02:09:03 EST
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.